//
//  SKAppDelegate.h
//  SecondaryKeyboard
//
//  Created by narita on 2013/05/11.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SKUserClientInterface.h"

@interface SKAppDelegate : NSObject <NSApplicationDelegate>

@property (retain) SKUserClientInterface* userClient;

@property (assign) IBOutlet NSWindow *window;


- (IBAction) open:(id)sender;
- (BOOL) canOpen:(id)sender;

- (IBAction) close:(id)sender;
- (BOOL) canClose:(id)sender;



- (IBAction) globalON:(id)sender;
- (BOOL) canGlobalON:(id)sender;

- (IBAction) globalOFF:(id)sender;
- (BOOL) canGlobalOFF:(id)sender;

@end
