//
//  SKAppDelegate.m
//  SecondaryKeyboard
//
//  Created by narita on 2013/05/11.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import "SKAppDelegate.h"
#import "NSObject(MTLControlItemEnabler).h"

@implementation SKAppDelegate

- (void)dealloc
{
    self.userClient = nil;
    
    [super dealloc];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{    
    self.userClient = [[[SKUserClientInterface alloc] init] autorelease];
    
    
    
}


- (IBAction) open:(id)sender
{
    [self.userClient open];
}

- (BOOL) canOpen:(id)sender
{
    return ![self.userClient isOpend];
}

- (IBAction) close:(id)sender
{
    [self.userClient close];

}

- (BOOL) canClose:(id)sender
{
    return [self.userClient isOpend];
}


- (IBAction) globalON:(id)sender
{
    [self.userClient setGlobalSwitch:YES];
}

- (BOOL) canGlobalON:(id)sender
{
    return [self.userClient isOpend] && [self.userClient globalSwitch] == NO;
}

- (IBAction) globalOFF:(id)sender
{
    [self.userClient setGlobalSwitch:NO];
}


- (BOOL) canGlobalOFF:(id)sender
{
   return [self.userClient isOpend] && [self.userClient globalSwitch] == YES;
}

- (BOOL)validateUserInterfaceItem:(NSObject<NSValidatedUserInterfaceItem>*)anItem
{
    return [self controlItemEnabler:anItem];
}


@end
