//
//  SKUserClientInterface.h
//  SecondaryKeyboard
//
//  Created by narita on 2013/05/12.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Foundation/Foundation.h>
#include <IOKit/IOKitLib.h>
#include "../../SKUserKernelShared.h"


@interface SKUserClientInterface : NSObject
{
    io_service_t	_ioService;
    io_connect_t	_ioConnect;
}


- (void) findIOService;

- (kern_return_t) open;
- (kern_return_t) close;

- (BOOL) isOpend;


// 
- (void) setGlobalSwitch:(BOOL)inYesNo;
- (BOOL) globalSwitch;



@end
