//
//  com_mindto01_minimal01_remaperMgr.h
//  minimal01
//
//  Created by narita on 2013/05/03.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#ifndef __minimal01__com_mindto01_minimal01_remaperMgr__
#define __minimal01__com_mindto01_minimal01_remaperMgr__

#include <IOKit/IOLib.h>
#include <libkern/c++/OSObject.h>
#include <libkern/c++/OSSymbol.h>
#include <IOKit/IOService.h>
//#include <IOKit/hidsystem/IOHIKeyboard.h>

class com_mindto01_minimal01_keyboardRemaper;

class com_mindto01_minimal01_remaperMgr : public OSObject
{
    OSDeclareDefaultStructors(com_mindto01_minimal01_remaperMgr)
protected:
    OSDictionary* keyboardDict;
    bool          mGlobalSwitch;
    
    static com_mindto01_minimal01_remaperMgr* sSharedInstance;
    
    virtual bool		init();
    virtual void		free();
public:
    
    static com_mindto01_minimal01_remaperMgr* sharedInstance();
    static void                               terminate();
    
    void addKeyboard(IOService* newService);
    void removeKeyboard(IOService* newService);
    void removeAllKeyboar();
    com_mindto01_minimal01_keyboardRemaper* findKeyboard(const OSSymbol* inSymbol );
    
    bool          globalSwitch(){return mGlobalSwitch;};
    void          setGlobalSwitch(bool inBool);
};

typedef com_mindto01_minimal01_remaperMgr SKRemapperMgr;

#endif /* defined(__minimal01__com_mindto01_minimal01_remaperMgr__) */
